Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface FieldMetadata

All Superinterfaces:
  MemberMetadata, Metadata

    public interface FieldMetadata

extends MemberMetadata

Represents a field in a class.

Since:
  3.0

Method Summary

Methods inherited from interface javax.jdo.metadata.MemberMetadata
`getArrayMetadata, getCacheable, getCollectionMetadata, getColumn, getColumns, getCustomStrategy, getDefaultFetchGroup, getDeleteAction, getDependent, getElementMetadata, getEmbedded, getEmbeddedMetadata, getFieldType, getForeignKeyMetadata, getIndexed, getIndexMetadata, getJoinMetadata, getKeyMetadata, getLoadFetchGroup, getMapMetadata, getMappedBy, getName, getNullValue, getNumberOfColumns, getOrderMetadata, getPersistenceModifier, getPrimaryKey, getRecursionDepth, getSequence, getSerialized, getTable, getUnique, getUniqueMetadata, getValueMetadata, getValueStrategy, newArrayMetadata, newCollectionMetadata, newColumnMetadata, newElementMetadata, newEmbeddedMetadata, newForeignKeyMetadata, newIndexMetadata, newJoinMetadata, newKeyMetadata, newMapMetadata, newOrderMetadata, newUniqueMetadata, newValueMetadata, setCacheable, setColumn, setCustomStrategy, setDefaultFetchGroup, setDeleteAction, setDependent, setEmbedded, setFieldType, setIndexed, setLoadFetchGroup, setMappedBy, setName, setNullValue, setPersistenceModifier, setPrimaryKey, setRecursionDepth, setSequence, setSerialized, setTable, setUnique, setValueStrategy`

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.